setVolume

Use the setVolume command to set the player's volume and mute state.

Returns an empty body with a success value of true if successful. The player generates a playerVolume event if the volume was changed.
Additionally, if setVolume is called on a player that has a fixed player volume state that is true, the command will fail and you will receive an ERROR_COMMAND_FAILED globalError. This is because players with fixed volumes cannot be changed, for example, a CONNECT with fixed line out would respond with this error if your app tried to set the volume on it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Target playerId

Body Params
int32 | null
0 to 100

(Optional) Between 0 and 100. Values above this range will be rejected. Any negative value will be interpreted as setting the volume level to 0.

boolean | null

(Optional) True to mute the player or false to unmute the player. If not specified,
the existing mute state is maintained.

Headers
uuid
deprecated

Client API Key for the integration. Required in V1 but deprecated in V2.

uuid

Correlation UUID for data tracking purposes

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json